Loading...
Searching...
No Matches
fourdst::composition::exceptions::SpeciesError Class Reference

Base class for exceptions related to atomic species. More...

`#include <exceptions_composition.h>`

Inheritance diagram for fourdst::composition::exceptions::SpeciesError:
[legend]
Collaboration diagram for fourdst::composition::exceptions::SpeciesError:
[legend]

## Public Member Functions

| SpeciesError (std::string message)
const char * | what () const noexcept override

## Protected Attributes

std::string | m_message

## Detailed Description

Base class for exceptions related to atomic species.

Definition at line 60 of file exceptions_composition.h.

## Constructor & Destructor Documentation

## SpeciesError()

fourdst::composition::exceptions::SpeciesError::SpeciesError | ( | std::string | message | ) |

inlineexplicit

Definition at line 64 of file exceptions_composition.h.

## Member Function Documentation

## what()

const char * fourdst::composition::exceptions::SpeciesError::what | ( |  | ) | const

inlinenodiscardoverridenoexcept

Definition at line 67 of file exceptions_composition.h.

## Member Data Documentation

## m_message

std::string fourdst::composition::exceptions::SpeciesError::m_message

protected

Definition at line 62 of file exceptions_composition.h.

The documentation for this class was generated from the following file:

- src/composition/include/fourdst/composition/exceptions/exceptions_composition.h